diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-client.cc ns-3.43/src/applications/model/three-gpp-http-client.cc
--- ns-3.42/src/applications/model/three-gpp-http-client.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-client.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-client.h ns-3.43/src/applications/model/three-gpp-http-client.h
--- ns-3.42/src/applications/model/three-gpp-http-client.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-client.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-header.cc ns-3.43/src/applications/model/three-gpp-http-header.cc
--- ns-3.42/src/applications/model/three-gpp-http-header.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-header.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-header.h ns-3.43/src/applications/model/three-gpp-http-header.h
--- ns-3.42/src/applications/model/three-gpp-http-header.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-header.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-server.cc ns-3.43/src/applications/model/three-gpp-http-server.cc
--- ns-3.42/src/applications/model/three-gpp-http-server.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-server.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-server.h ns-3.43/src/applications/model/three-gpp-http-server.h
--- ns-3.42/src/applications/model/three-gpp-http-server.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-server.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-variables.cc ns-3.43/src/applications/model/three-gpp-http-variables.cc
--- ns-3.42/src/applications/model/three-gpp-http-variables.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-variables.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/three-gpp-http-variables.h ns-3.43/src/applications/model/three-gpp-http-variables.h
--- ns-3.42/src/applications/model/three-gpp-http-variables.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/three-gpp-http-variables.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-client.cc ns-3.43/src/applications/model/udp-client.cc
--- ns-3.42/src/applications/model/udp-client.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-client.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-client.h ns-3.43/src/applications/model/udp-client.h
--- ns-3.42/src/applications/model/udp-client.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-client.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-echo-client.cc ns-3.43/src/applications/model/udp-echo-client.cc
--- ns-3.42/src/applications/model/udp-echo-client.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-echo-client.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 #include "udp-echo-client.h"
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-echo-client.h ns-3.43/src/applications/model/udp-echo-client.h
--- ns-3.42/src/applications/model/udp-echo-client.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-echo-client.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef UDP_ECHO_CLIENT_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-echo-server.cc ns-3.43/src/applications/model/udp-echo-server.cc
--- ns-3.42/src/applications/model/udp-echo-server.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-echo-server.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "udp-echo-server.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-echo-server.h ns-3.43/src/applications/model/udp-echo-server.h
--- ns-3.42/src/applications/model/udp-echo-server.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-echo-server.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef UDP_ECHO_SERVER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-server.cc ns-3.43/src/applications/model/udp-server.cc
--- ns-3.42/src/applications/model/udp-server.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-server.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008,2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-server.h ns-3.43/src/applications/model/udp-server.h
--- ns-3.42/src/applications/model/udp-server.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-server.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Amine Ismail <amine.ismail@sophia.inria.fr>
  *                      <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-trace-client.cc ns-3.43/src/applications/model/udp-trace-client.cc
--- ns-3.42/src/applications/model/udp-trace-client.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-trace-client.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/model/udp-trace-client.h ns-3.43/src/applications/model/udp-trace-client.h
--- ns-3.42/src/applications/model/udp-trace-client.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/model/udp-trace-client.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/test/bulk-send-application-test-suite.cc ns-3.43/src/applications/test/bulk-send-application-test-suite.cc
--- ns-3.42/src/applications/test/bulk-send-application-test-suite.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/test/bulk-send-application-test-suite.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Tom Henderson (tomh@tomh.org)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/test/three-gpp-http-client-server-test.cc ns-3.43/src/applications/test/three-gpp-http-client-server-test.cc
--- ns-3.42/src/applications/test/three-gpp-http-client-server-test.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/test/three-gpp-http-client-server-test.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2015 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/applications/test/udp-client-server-test.cc ns-3.43/src/applications/test/udp-client-server-test.cc
--- ns-3.42/src/applications/test/udp-client-server-test.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/applications/test/udp-client-server-test.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/examples/csma-bridge.cc ns-3.43/src/bridge/examples/csma-bridge.cc
--- ns-3.42/src/bridge/examples/csma-bridge.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/examples/csma-bridge.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/examples/csma-bridge-one-hop.cc ns-3.43/src/bridge/examples/csma-bridge-one-hop.cc
--- ns-3.42/src/bridge/examples/csma-bridge-one-hop.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/examples/csma-bridge-one-hop.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/examples/csma-bridge.py ns-3.43/src/bridge/examples/csma-bridge.py
--- ns-3.42/src/bridge/examples/csma-bridge.py	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/examples/csma-bridge.py	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 
 # Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/helper/bridge-helper.cc ns-3.43/src/bridge/helper/bridge-helper.cc
--- ns-3.42/src/bridge/helper/bridge-helper.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/helper/bridge-helper.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "bridge-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/helper/bridge-helper.h ns-3.43/src/bridge/helper/bridge-helper.h
--- ns-3.42/src/bridge/helper/bridge-helper.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/helper/bridge-helper.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Gustavo Carneiro <gjc@inescporto.pt>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/model/bridge-channel.cc ns-3.43/src/bridge/model/bridge-channel.cc
--- ns-3.42/src/bridge/model/bridge-channel.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/model/bridge-channel.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
